Subject: Re: bug#8392: Diary entries does not work with ISO date format

From: Glenn Morris <[email-masked]>
Date: Thu, 31 Mar 2011 20:07:31 -0400

> I have configured my .emacs file to use ISO dates format

No you haven't. The only relevant setting in your attached .emacs is one
for calendar-date-display-form. This just affects how dates are
*displayed*, nothing else. There are other things you need to set,
notably diary-date-forms. But don't bother setting either of those by
hand, just customize calendar-date-style to `iso' instead. That will set
all the necessary variables.

> , but when I check for diary entries (throw 'd' option of calendar) I
> get "No diary entries for <date>". I attach my .emacs file and a sample
> diary file. Inserting new entries in the diary file to the calendar ('i
> d' option) writes the data in the correct format (ISO), so I guess that
> must be a problem in the diary interpretation by the calendar.
>
> Severity: normal
> In GNU Emacs 23.3.2 (x86_64-unknown-linux-gnu)
>  of 2011-03-30 on tambre